Problem with fresh install of cPanel 11 on RHEL 5: bug in "latest" install script?

skaboobie

Member
Mar 12, 2004
8
0
151
Buffalo, NY, USA
I'm attempting a fresh install of cPanel 11 on RHEL 5. (We use Red Hat here, please do not tell me to use CentOS, Fedora, or another OS.)

I did a basic install of the OS, sans Apache, MySQL and such. I followed the directions on the Installation Guide. However, when I finally get to running the "latest" script, I get the following:

Code:
[[email protected] home]# sh latest
Creating directory installd
Verifying archive integrity... All good.
Uncompressing cplyr1-cPanel..........................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................
        ____                  _
    ___|  _ \ __ _ _ __   ___| |
   / __| |_) / _` | '_ \ / _ \ |
  | (__|  __/ (_| | | | |  __/ |
   \___|_|   \__,_|_| |_|\___|_|

     Installer Version 11.4.0



Your operating system's rpm update method (up2date) was not able to locate the glibc package. This is an indication of an improper setup. You must correct this error before you can proceed.
One of the changes from RHEL 3 and 4 to 5 is that 5 now uses yum on the command line rather than the old up2date program. In fact, I successfully updated my OS with "yum update".

Is there something I can do to fix this? Is this a bug that the cPanel folks need to fix for installs on RHEL 5?
 

cPanelKenneth

cPanel Development
Staff member
Apr 7, 2006
4,607
79
458
cPanel Access Level
Root Administrator
The installer is not yet updated with the correct functionality for RHEL 5's update system. It attempts to use up2date, when it should use yum. Do this:

Code:
touch /var/cpanel/useyum
then perform the installation.
 
A

aisagtr

Guest
The installer is not yet updated with the correct functionality for RHEL 5's update system. It attempts to use up2date, when it should use yum. Do this:

Code:
touch /var/cpanel/useyum
then perform the installation.

We are trying to install on RHEL AS4 and tried your recommendation, its still returning the same error:


Beginning main installation.
Your operating system's rpm update method (yum) was not able to locate the glibc package. This is an indication of an improper setup. You must correct this error before you can proceed.

Advice?